summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Manifest.gzbin266467 -> 266485 bytes
-rw-r--r--dev-python/dill/Manifest2
-rw-r--r--dev-python/dill/dill-0.3.7.ebuild28
-rw-r--r--dev-python/django-auth-ldap/Manifest2
-rw-r--r--dev-python/django-auth-ldap/django-auth-ldap-4.4.0.ebuild44
-rw-r--r--dev-python/ensurepip-pip/Manifest2
-rw-r--r--dev-python/ensurepip-pip/ensurepip-pip-23.2.1.ebuild24
-rw-r--r--dev-python/fastjsonschema/Manifest2
-rw-r--r--dev-python/fastjsonschema/fastjsonschema-2.18.0.ebuild25
-rw-r--r--dev-python/flufl-lock/Manifest4
-rw-r--r--dev-python/flufl-lock/flufl-lock-8.0.2.ebuild36
-rw-r--r--dev-python/flufl-lock/metadata.xml2
-rw-r--r--dev-python/hcloud-python/Manifest2
-rw-r--r--dev-python/hcloud-python/hcloud-python-1.26.0.ebuild49
-rw-r--r--dev-python/identify/Manifest2
-rw-r--r--dev-python/identify/identify-2.5.26.ebuild29
-rw-r--r--dev-python/jsonmerge/Manifest2
-rw-r--r--dev-python/jsonmerge/jsonmerge-1.9.2.ebuild25
-rw-r--r--dev-python/multiprocess/Manifest2
-rw-r--r--dev-python/multiprocess/multiprocess-0.70.15.ebuild27
-rw-r--r--dev-python/pip/Manifest2
-rw-r--r--dev-python/pip/pip-23.2.1.ebuild130
-rw-r--r--dev-python/pygame/Manifest1
-rw-r--r--dev-python/pygame/pygame-2.5.0-r2.ebuild92
-rw-r--r--dev-python/python-mpv/Manifest2
-rw-r--r--dev-python/python-mpv/python-mpv-1.0.4.ebuild40
26 files changed, 574 insertions, 2 deletions
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index e85081b36533..bbf8747363b8 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/dill/Manifest b/dev-python/dill/Manifest
index 5275ade608de..9d6a26ccf0ae 100644
--- a/dev-python/dill/Manifest
+++ b/dev-python/dill/Manifest
@@ -1,3 +1,5 @@
DIST dill-0.3.6.gh.tar.gz 171608 BLAKE2B 3b0c6f20218230685c91c10edb4d9bfdbb913464903ce03c92c85ad607ab3973c61c39f9a9807d55c1d3aa3736f5de4575e5beb0784f2b17f0af850210bebd61 SHA512 921bd5122b9b90fd3426a7af5fc8ba70d09b92d740951f5db5d481abb280915d722410f174ab028134acff9a3659899c8f315242caa7a44d8e4b38dd02bb1fa3
+DIST dill-0.3.7.gh.tar.gz 176315 BLAKE2B 8c98c40458035e42c078c79df14e474c35a2a6ff4f61d3cfca8f4dfa5a7756512b7d5af6276becd88315c01d88c8562de02b6f9dff06d0161df3e6f6694c7cc8 SHA512 33ec55dc32c9ddf275ce6e502187949bbc7ecc6d24560e132a7bed23e93254b771d38e59c4b6313bbfc25313305c43c6cba2fe07763a93238e1ba66c4bbd8cd4
EBUILD dill-0.3.6.ebuild 646 BLAKE2B 51009350e78044f592c682e6450dabbce3ad03e4e91bbd559e9d2978f69dd9b997fbedf1ef4e4ba0a31816a41d0728c193730439ba88609e7337b24028341d6a SHA512 4a5b9fb9ed0df23c7239a8d3532b1a0455aa1098a8964120085fc513abc7c26ba98dc26951c4c1023c91281b1695383fee2ee5afd7650603ac13598fa2f415a9
+EBUILD dill-0.3.7.ebuild 655 BLAKE2B d072e20a3b2e8be7e8566fd95e6481f6ea566831e62e28b7129980eb8657d62892d09854ccc73e53895ff52f1bb8c4f921f8a810c4194dbef8768ebe488f058c SHA512 bf5c3ee843578d0a1911d74bfc76a5b2b3e4c4e98ffae1ee4677f113214fe2c91ac75450be797cb544ecd36bcb9f74795bf428ad186bd2e306891b42c7235d94
MISC metadata.xml 997 BLAKE2B ae32cd96d7a4967a9886d4903e21720459c0a963a675d301c2bb651fdb15877d845100822c1e7a7b6184ccaa666cbb6dc58f939616de9c1c22554670d841bd19 SHA512 e3dc363382bea8ed76343b62377c139ad84011a6b804f64b65d93941a7c192c268c0da273c73d5ec1cece7320b15fa88bf5a2f20a628d8845efddab24f3acc5b
diff --git a/dev-python/dill/dill-0.3.7.ebuild b/dev-python/dill/dill-0.3.7.ebuild
new file mode 100644
index 000000000000..2a35ac28460a
--- /dev/null
+++ b/dev-python/dill/dill-0.3.7.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Serialize all of Python (almost)"
+HOMEPAGE="
+ https://github.com/uqfoundation/dill/
+ https://pypi.org/project/dill/
+"
+SRC_URI="
+ https://github.com/uqfoundation/dill/archive/${P}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S=${WORKDIR}/${PN}-${P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+python_test() {
+ "${EPYTHON}" -m dill.tests || die
+}
diff --git a/dev-python/django-auth-ldap/Manifest b/dev-python/django-auth-ldap/Manifest
index 477f80ce85b9..12533f984802 100644
--- a/dev-python/django-auth-ldap/Manifest
+++ b/dev-python/django-auth-ldap/Manifest
@@ -1,5 +1,7 @@
DIST django-auth-ldap-4.2.0.gh.tar.gz 49572 BLAKE2B e33241897a2ad6ec3cefe4d8bc6cfea322f478b3db7c2e8b7726b55f9e030f10ae25ee049842322f11939523df06af81a57122d4d3c8115416a253672c43dd39 SHA512 a37500c850b3cf49d6bc7324d721c05279570972547ebd69521033e4cd6aa340948829edb3ae94d3280a8142a42d88ce77f85bf4a8c9f32753a860881b3c5d90
DIST django-auth-ldap-4.3.0.tar.gz 53474 BLAKE2B b3f74739fd195b7a2e2cc785fa6493feaef8917b8473fad386da1569a158f13d7c765a32bd0d83ba02d20d7b50e845d3a5cda8b5fbbf5524576c62b84690705b SHA512 6a7826af60087a25970c6ae96b9bce40212cdfbe5e2d2ee0d903ff53f02edcd361eb56a0c5db9406e8525ee6be86e18d5c13db7e4ae6f2dd5d0adc7c593a8117
+DIST django-auth-ldap-4.4.0.tar.gz 53117 BLAKE2B 46ae8f9788c3ed12d8b3576b4335390d3bc902a3627dd5af9028c2bd49dc64eef2f31995bcf51a6d20c55400bbd3dd5f4882ecc01e8d92564a6664db743809ca SHA512 d01f40f64e0d6cd47a0efaaf3b5e6a30a399b0a3b9a6b4c6f683a8237b84076294821970bbb265f66e06b0fbec58417287188e5f09631b21f204137d003ecfd7
EBUILD django-auth-ldap-4.2.0.ebuild 1080 BLAKE2B df342b857dfa9f7205b9634ec100a26a59952590c7f7ee7a03fbe9bed88606e4611b4911f43abd92d97a6e7efd243d63c49d20564d1f845238fb9d3bcd33b91b SHA512 18b3dc69fd7d0126d7a5367fe0bd8b880428ba21f109da9c83e719187ee139a75834da7b52b50f065ebc694dc4f6a97297e9c261d433e26f1acbd5bc0a9af790
EBUILD django-auth-ldap-4.3.0.ebuild 953 BLAKE2B b68efd1d002d8fec3e3d56a6edebfc30c3b890b8a990382cf86e543086b148d50bf885478b9553a19a844234560f0029e727f3298e6b6ded02b61e6a55aead9c SHA512 e8fdc953c25a371ea0ecd17e5a94b3215d5e6b60d249d3b91306e50c5ce17c87181f7ada66e75a748e39b3ae773e3da146b29a2929c76e0135a6ad55b3c7b7f3
+EBUILD django-auth-ldap-4.4.0.ebuild 954 BLAKE2B f00a33b6b33411dbf1c2059f1bcc1cd9a49106087c5078a71d898d6a285b960a5d009af327447cdd284d0ddfcc247a3e0bf08e48c688db6cf6510370b44c2905 SHA512 4ed0926471365d7c339261642955dd7ab64ac5a4e8f82d323a12384da4a8aae182427a0c3ceee764cf01dfb19a8ee3e0382ba46533b7abb2819ec85e34a5b4ba
MISC metadata.xml 405 BLAKE2B e9d6f5ca53505cbfa7f9cd1cdc47bd58ba15ea972bdf342874c031ec151a053025b8f63a8d9c96de90ae0798e77d0db019a70d21e8746449543bfa5d91e3fec0 SHA512 453100976204f0b32042a1711d257ae76214452579d3008f403efc11cdf5e080e3663b43c1946b9da91086de580c0a8cf860fc99c00138c9d1bd4a01a5d1dcc3
diff --git a/dev-python/django-auth-ldap/django-auth-ldap-4.4.0.ebuild b/dev-python/django-auth-ldap/django-auth-ldap-4.4.0.ebuild
new file mode 100644
index 000000000000..9e1094ca449c
--- /dev/null
+++ b/dev-python/django-auth-ldap/django-auth-ldap-4.4.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Django LDAP authentication backend"
+HOMEPAGE="
+ https://github.com/django-auth-ldap/django-auth-ldap/
+ https://pypi.org/project/django-auth-ldap/
+"
+
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+LICENSE="BSD-2"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/django-2.2[${PYTHON_USEDEP}]
+ >=dev-python/python-ldap-3.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ $(python_gen_impl_dep sqlite)
+ net-nds/openldap[-minimal]
+ )
+"
+
+distutils_enable_sphinx docs --no-autodoc
+
+python_test() {
+ # for slapd and slapdtest
+ local -x SBIN=/usr/sbin:/usr/$(get_libdir)/openldap
+ "${EPYTHON}" -m django test -v 2 --settings tests.settings ||
+ die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/ensurepip-pip/Manifest b/dev-python/ensurepip-pip/Manifest
index 0c2a659bc28d..e5f55df17d7d 100644
--- a/dev-python/ensurepip-pip/Manifest
+++ b/dev-python/ensurepip-pip/Manifest
@@ -1,5 +1,7 @@
DIST pip-23.1.2-py3-none-any.whl 2064688 BLAKE2B 85c19cc80a59404867e7212c442e60ed6735da35d544bd23ee4cf5a1bffad4c0fab1f34a652417a181cbcb4afc9baf94682b0ec6e1fd9457eb77bc971d29e459 SHA512 a5a8feab25f01a96c2d8c4e15a001cb38c4a0a9d88563da6653239f3966324fdbe86ae0c5172cbdb1d03b863b37a37358b80e8bb9c8112bd7809fd16fb2ec776
DIST pip-23.2-py3-none-any.whl 2085968 BLAKE2B 320f19b21253d0160d09d51e677a81fa30515a1faee07c4ed87b36a4134820d5bafcd524c099d5892b41bd7bb738a0ccc0b906d619d7e5690a8404cb78f4469a SHA512 bdd211e74fb77117f389f0789c35b163834d9a900e7615d7a1d90a9c6a62613e69552af79cc88f594890afd9189e53c55b55a50cc31d4cd18118352ecab9cf40
+DIST pip-23.2.1-py3-none-any.whl 2086091 BLAKE2B 0a35bf4ba589f07e3c800d8f835e4bcdcd433976db83f91c86e12a2316b0b1c7de7120b248d70fe8b5587c28bb3c6e7bc633c64cdfb65a1f18f87a9e7a423181 SHA512 016a8cbd09384f1a9a44cb0e8274df75a8bcb2f3966bb5d708c62145289efaa5db98f75256c97e4f8046735ce2e529fbb076f284a46cdb716e89a75660200ad9
EBUILD ensurepip-pip-23.1.2.ebuild 645 BLAKE2B e5e007e2866582afab1292d7435e4eedee0f46bdf005d144e0c7c07bcf6c8460a32c60fe9260048b0f37030af1ca960ddf8a7e7bec05c0ffddf6397fc4634b28 SHA512 6cb1172140385cc6d6c65190990221c76246dfd9922a502755c5d8295429d2d3b997fd8d372f7713399090da83c9ec3ab4ec372a86129c809231eeea3597b2ab
+EBUILD ensurepip-pip-23.2.1.ebuild 653 BLAKE2B 7de97648cd4add911be02952862b975df3b7fad7daa24716f34b7f192b4d6a0b4cbbdbb7a924068de58bf2d6d2a6a543af81fcc0488c3238597ef05f60f6191c SHA512 152f91fa0ae5a6833ce07b94c7bccac40006c264ab221db45c25647984d58ef58c914203cd45a6c8527c3903e88976a187b90f3543d52ce4e18043d0fb46b450
EBUILD ensurepip-pip-23.2.ebuild 653 BLAKE2B 7de97648cd4add911be02952862b975df3b7fad7daa24716f34b7f192b4d6a0b4cbbdbb7a924068de58bf2d6d2a6a543af81fcc0488c3238597ef05f60f6191c SHA512 152f91fa0ae5a6833ce07b94c7bccac40006c264ab221db45c25647984d58ef58c914203cd45a6c8527c3903e88976a187b90f3543d52ce4e18043d0fb46b450
MISC metadata.xml 309 BLAKE2B 197e5620aab85ff590270ae6838c9188cd699943af4c9c3eeb7de92c2e9390c082eec603e63bc2bba39477586f19e58da2e5fe2d5ffe9b59b87ae5386c939df1 SHA512 c678bc8fb62f6e6850939ebff56962503bb03393572cfff7e5f7d38e8cf5ca71d8e38e402355c5f963fb718eed24bca463d7c63fede5cbb550f6f32a9c06af9e
diff --git a/dev-python/ensurepip-pip/ensurepip-pip-23.2.1.ebuild b/dev-python/ensurepip-pip/ensurepip-pip-23.2.1.ebuild
new file mode 100644
index 000000000000..474a502c1273
--- /dev/null
+++ b/dev-python/ensurepip-pip/ensurepip-pip-23.2.1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit pypi
+
+DESCRIPTION="Shared pip wheel for ensurepip Python module"
+HOMEPAGE="https://pypi.org/project/pip/"
+SRC_URI="$(pypi_wheel_url "${PN#ensurepip-}")"
+S=${DISTDIR}
+
+LICENSE="Apache-2.0 BSD BSD-2 ISC LGPL-2.1+ MIT MPL-2.0 PSF-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+
+RDEPEND="
+ !<dev-python/ensurepip-wheels-100
+"
+
+src_install() {
+ insinto /usr/lib/python/ensurepip
+ doins "${A}"
+}
diff --git a/dev-python/fastjsonschema/Manifest b/dev-python/fastjsonschema/Manifest
index 26925301ed7f..6bf4a8a7f36b 100644
--- a/dev-python/fastjsonschema/Manifest
+++ b/dev-python/fastjsonschema/Manifest
@@ -1,3 +1,5 @@
DIST fastjsonschema-2.17.1.tar.gz 370651 BLAKE2B 670e3b911200573ac129938834f9c072702e3f3d62e4ac95c7b77694d9cda54e4430601955c13998ff5abfe1db66a3d3e2bba9561292cb5c9d1df2470194eaee SHA512 482b13ee6735f5bb21528ec76a423c8c1dff2604af83121d82db45ce0cf514401b25cf6a1406c74f579671fe425ef1535d28c8b0b7fc24d32fcf50f2be1e28bf
+DIST fastjsonschema-2.18.0.tar.gz 371063 BLAKE2B d2b79eb442351487ffebc59ff48af1e8f07fb5e2ca97059cc98cc8f02eda3523fcf60b2aa6b46edc1d3d019ed04d65d2fc5c3eee58471ea9b2a0bd0bf7bf40ed SHA512 848ea4587edb9d694d4f42cee35c8a6a785f601b3e84daae5a5b155ca61c0c7de1b9164e86c0a48166d429a4a737799480dfdeaad7e81eab28f68f71dd46988f
EBUILD fastjsonschema-2.17.1.ebuild 557 BLAKE2B 9cb440101b469a4d1bf11b6db357d07945a102789d12918c7c27540e61164f8b15d54fc39d43ccdfdb1d25a7d15bf76ecdab93fe9c9f17931f9142b52e27a758 SHA512 a694b586f167b458a560da1185da18f246ad8dbb3d236b0773ac5adcd4c3a807382321a1c7d256494716276faf08a82233fec2dfaded97c6a0749eff0590fd78
+EBUILD fastjsonschema-2.18.0.ebuild 565 BLAKE2B 15b36d2cf5b47383ed06a8f5bb6ac9b60e22593d55f6d47ced7a6372b920d5f3957896beca10ea8be656e8e7a3a722e8a81271d924ca7cf904ecc46e2e045a2a SHA512 33eecabede196a5319719279ccecff6001ed32f57406cf0092196e1a4d3edef15d16f6ce39f72096b72e9b26d9638e49ec46179a2af386eeed1212cfc2f38fc4
MISC metadata.xml 390 BLAKE2B d29071ddcb0aea8db343c2924de51e8fdbf9295898c687ca0f474e007007407c9a402cd2fa74f0f2142dfb2f14a2cfd0c51c05f5fad6891734328a003283821f SHA512 db3339aaba0218ebea0ea4cd5b950dbf74572b18341f595fbbbe1f67c0c9c23413f4a98aeec5b49b036533cfea46e8f2a74f5f999c3b4c472a66297346139b05
diff --git a/dev-python/fastjsonschema/fastjsonschema-2.18.0.ebuild b/dev-python/fastjsonschema/fastjsonschema-2.18.0.ebuild
new file mode 100644
index 000000000000..ec0f5cdb075d
--- /dev/null
+++ b/dev-python/fastjsonschema/fastjsonschema-2.18.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Fast JSON schema validator for Python"
+HOMEPAGE="
+ https://github.com/horejsek/python-fastjsonschema/
+ https://pypi.org/project/fastjsonschema/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ tests/benchmarks
+)
diff --git a/dev-python/flufl-lock/Manifest b/dev-python/flufl-lock/Manifest
index 09b4891e5fde..122156e238af 100644
--- a/dev-python/flufl-lock/Manifest
+++ b/dev-python/flufl-lock/Manifest
@@ -1,5 +1,7 @@
DIST flufl.lock-7.1.1.tar.gz 33017 BLAKE2B 813b4b77fe2b7c9d7125e9d4a5530a77aa4205e1eb0a90852419f29669db97c683fe1d73d221bc7490a7a827da24e23bfac38002c1e6a179289b56b59e2d4dfa SHA512 eb9d8a80013ca07cc3eaab30ced596c0362cfc59d5a1f7cf17aacbf4068d9989b443df7e2d5f5e09d6f60e0ebc784ab1897ca7379fde7eeb57246cb6b5dfef3f
DIST flufl_lock-8.0.1.tar.gz 34442 BLAKE2B 07a837ec1965ae9c9f61a7601de0727bbab25b625744358e1c7e4c3112e26cd02db00fefe31d4900a2631d436eff8150aaddf6e80f8adb5e799bc9440ccea681 SHA512 059a0ed742d941f936a5a06f6fb0b72aa218fc4cd4c03788fcec6ddcef9fcc2bda767ff89a7d380ad79e07a2eec4840b32efc0921c0ff277d00a9fb8cbe80e4e
+DIST flufl_lock-8.0.2.tar.gz 34369 BLAKE2B e16af81933141628664bfcbece3ede038b150df468af00b840b9b7ad4aaa7e0e10c8a0ce415c685e2aa1e556198b2ac4f8339bdfa3e41c004c32592f0bd025bf SHA512 2ef382cf22be72ceace89ad01646db31186fa7f505d72306025b90e47dad46fa0831d951f515fc321b873acc4a339e2ae1ed1a4861c355bc9961e0a3ab209d7c
EBUILD flufl-lock-7.1.1.ebuild 769 BLAKE2B 4bb090f2d07c88799e6d11f8f671012c240a5c555900a1b2dd19fcbed2ac54212961a675496b5f5144adb8dcbf6c2a69d870af8dbb2aa0f1d7ea5ae31ab72b3f SHA512 7063ed29f4e7ad969b4bb4554fac1f291b8c764d37209a02bdbc170ce37466e3e148cf0abac8fc7949b9301dcc062f57daf27461aac03b2c2a120df999726291
EBUILD flufl-lock-8.0.1.ebuild 693 BLAKE2B 1eda5831564d00b147a45a8363180e5342da3a8ce249349060e3586088d1b8f9e1552b09c1c640d2000712238c9ddd2faf5b51ed281c92bf1861ac9b382fc171 SHA512 fb0b10b25b1d396c56004b8d30450494432b7e605c450d03052d6775f249fbb33fcea83192ec2aab2e8ad442eac89807148b21efff4412fe7bc932a575b4e35f
-MISC metadata.xml 464 BLAKE2B 36624de30af45ba511534e202791e87299a39b6995dee4fdbdca8962141c60a66dd9d039eb0b6e3df49340e732b87b075ada472e754e2f979276de34bb83914a SHA512 1e403da83a24633021f60408ede5c9ded22dd78e6a4e7ba473c156ba17e30561a45742cfe6d9f5deaae605644a86c8678d4934bfcab01d04e964a4fb37a7d6dc
+EBUILD flufl-lock-8.0.2.ebuild 693 BLAKE2B deca7b9eb69f53e7a51db8df381a094b4dd2a713c543ceabd8769a7d3dfbf157daa554457781f440e5763295b76b7310aba2c0020a2f912e8915f8d6463474b7 SHA512 fa9bf9e4334217188ce65917393e7de6a87b9f737d84c1250cfe8ebb2bbcde9f411359400e9c5ba7f6648a77c0668e616986ce73463f65ede58dc0c0ef8adfb1
+MISC metadata.xml 464 BLAKE2B 8d37ad69fe6f35790593ff0588261389cd693d9197efc317d7d674dfb940a1dd41e69722542e84f0b6adbe6c10cbd590a047107815bd7f3177dc30557661686e SHA512 713d28869ccf26305a8c5f17855b20f55aa3884ad694096a305fdad67abe75f66ba5b7d9c940b18c414cca448f862bc8fa2705e6f1bbacdfa69672046258ec0f
diff --git a/dev-python/flufl-lock/flufl-lock-8.0.2.ebuild b/dev-python/flufl-lock/flufl-lock-8.0.2.ebuild
new file mode 100644
index 000000000000..eee32d25e7bd
--- /dev/null
+++ b/dev-python/flufl-lock/flufl-lock-8.0.2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm-backend
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="NFS-safe file locking with timeouts for POSIX systems"
+HOMEPAGE="
+ https://gitlab.com/warsaw/flufl.lock/
+ https://pypi.org/project/flufl.lock/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/atpublic[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/sybil[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e '/addopts/d' -i pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/flufl-lock/metadata.xml b/dev-python/flufl-lock/metadata.xml
index 4e81d59df081..6f8ea1241836 100644
--- a/dev-python/flufl-lock/metadata.xml
+++ b/dev-python/flufl-lock/metadata.xml
@@ -10,6 +10,6 @@
</maintainer>
<upstream>
<remote-id type="gitlab">warsaw/flufl.lock</remote-id>
- <remote-id type="pypi">flufl-lock</remote-id>
+ <remote-id type="pypi">flufl.lock</remote-id>
</upstream>
</pkgmetadata>
diff --git a/dev-python/hcloud-python/Manifest b/dev-python/hcloud-python/Manifest
index c587383d82f0..e425affaebb5 100644
--- a/dev-python/hcloud-python/Manifest
+++ b/dev-python/hcloud-python/Manifest
@@ -5,6 +5,7 @@ DIST hcloud-python-1.23.0.gh.tar.gz 101752 BLAKE2B 5a8746d7ea58e3ba89271efe54118
DIST hcloud-python-1.23.1.gh.tar.gz 102214 BLAKE2B e8e16a9a4435b579ee7e72738c296b1ee55c15d3868da39c58fcf9489479451e7adfe046696ffd9728a529f60003a4ebe26b0c07f322296ef1e3fe468fe0e9ed SHA512 cf5497b4906cb2abece9afd64fad0aad4deedecafb50f6977c29f0a38951287be07f9f75a18e1ce4cbcedf38261c146236526be7581d8362c6d6ecf7c38992b9
DIST hcloud-python-1.24.0.gh.tar.gz 101860 BLAKE2B f64c0024047b11a060b3766a5692d74c038483ccd25943227931d6ca695be4e7ded7857ccf5d1a8361644b838cee5cd1e5c3ddaaf714ca97b3c0e33f5c3863f2 SHA512 efeb511373009af49b280fa09b152a648d33136c75d12fa69290e2193d5162fb07dea3d457171e0b27c7256f0be63b5c6fb84526cf1e9f32d8c38e350c47686a
DIST hcloud-python-1.25.0.gh.tar.gz 101940 BLAKE2B afc467df0b56b6cea5d413465dcbf12df408a215eee1bf3040abdd062d7548fb6c1c4eb8df4ec381b5969294bb94afc957bba4cf866eaaa6570bc8fd2b45bf68 SHA512 13815d7a61010974f4ecb259ddff8b7ab526114df25bb530e1db38e557499c7bae9a9ecb69c9e625b5bebe8be5c00de166fc421508888f720774288b210db1b4
+DIST hcloud-python-1.26.0.gh.tar.gz 102253 BLAKE2B e5e629218c187e3ffb4f6e30b8963288dbdbfd5f60e20ba60083a5eedc8dc7e94aa917c6b3539a4aaf600d065b771747c7ed8dad7ff41490c9dd7452a0a242f3 SHA512 b2bf656a223c3a8e65b2f641d3a633543a7c5a2bcf0ce31ad9a735115d870affcaa8d0c82758c312b80e130f87259839ce35b918f5762c11a27ecbb1578446d0
EBUILD hcloud-python-1.20.0.ebuild 1046 BLAKE2B f2c7f38ee3a6f1e58d5486a0e6255191ff832b4165fafbe08e3af3fbff2a4b55a2d7268a8ad87bef5ed53ca731b8b5a4591adfdf694dfa97302ef3af0d1f53df SHA512 2e6db7fa1a08b69db9bc90a5f5e74bda2d7e1fb44343f0598b9ce137c763c95a13930fc97a8bba26f3193a8102d31fdc83b5f87992fe3ea7f1048854b93c4f7b
EBUILD hcloud-python-1.21.0.ebuild 1098 BLAKE2B 9486b9380fa0a8e07aaeb22d45e195db384a1d1f62275617c4f264c1ede18f25300fa1e7b4a1b174245dadc919054e0b854c52cd0bf62f98ccfc1e7e4c3b339b SHA512 4019e4aef91954555fee9e24626a2e5d9b7772a010d7df418f50efc50d100a9aba35eb1c24d5d36c50eaa3fc67c83496d1966ed0ade88fa5fe9816edfb2ba85c
EBUILD hcloud-python-1.22.0.ebuild 1106 BLAKE2B 0e8e2cc60a2aab3fb2765e9bda6e2016f315444ff18d8e45637c670d70eaae0c3b543acf05e4022c0380426bc3df6bd569a798175dbe06669c15f3a06cf97eda SHA512 9a3c620eae056265d308653ef94d3f38dd8c7d59541c118fc8eca2a5368e392f486edc89391356a414f7ef42a81df88c89f2309be4e06f4f29bb8e44c7b9f6e7
@@ -12,4 +13,5 @@ EBUILD hcloud-python-1.23.0.ebuild 1078 BLAKE2B 2d13df752c155700117be5a6bfa53669
EBUILD hcloud-python-1.23.1.ebuild 1078 BLAKE2B 2d13df752c155700117be5a6bfa53669e60862abc7af67bc16649404fa793e57fd9b0d1a6cb1dbe2b972e626efcba595743e53b6b6300bd3e91332981435ec79 SHA512 bed732985cd1e5edec54bcc64355e9e1038e4470dca0f0d055efc5f662e1508dd2d0ac2602067ac419254927629f0128e74fbc20003bef5826398fbb00ef3015
EBUILD hcloud-python-1.24.0.ebuild 1132 BLAKE2B 36c8da11a3c3e0a252a19fc9f62ac9baa408e6cfd28948cec5b0a490898702cb2885c5376b47a319c3ed9969ef38d9817449841ebcd50f5440865404627b3af1 SHA512 0181d301d65203d7fd0679a5a4973b5e264402b799f645c1dcafb6354fdea734e60858716c97690eb077ed222aa05532166d06b7f1273fd0a22b647583d9624a
EBUILD hcloud-python-1.25.0.ebuild 1132 BLAKE2B 36c8da11a3c3e0a252a19fc9f62ac9baa408e6cfd28948cec5b0a490898702cb2885c5376b47a319c3ed9969ef38d9817449841ebcd50f5440865404627b3af1 SHA512 0181d301d65203d7fd0679a5a4973b5e264402b799f645c1dcafb6354fdea734e60858716c97690eb077ed222aa05532166d06b7f1273fd0a22b647583d9624a
+EBUILD hcloud-python-1.26.0.ebuild 1132 BLAKE2B 36c8da11a3c3e0a252a19fc9f62ac9baa408e6cfd28948cec5b0a490898702cb2885c5376b47a319c3ed9969ef38d9817449841ebcd50f5440865404627b3af1 SHA512 0181d301d65203d7fd0679a5a4973b5e264402b799f645c1dcafb6354fdea734e60858716c97690eb077ed222aa05532166d06b7f1273fd0a22b647583d9624a
MISC metadata.xml 483 BLAKE2B c945a22b776b5bf73deabf93718a1dea3a9b98f7257467e845106f71910347a803f96ef969227d7c10a119f1e35b904bcb7501b9672bf3ce5a2bef112d903e56 SHA512 4a6540a06d57eb3bc8c455d982531427157fbf1a85abf4b909032b0880c9e2847b295b3c9b02378be35e88f74876357503dd04bbe544ff9a9612df2b1c321b1c
diff --git a/dev-python/hcloud-python/hcloud-python-1.26.0.ebuild b/dev-python/hcloud-python/hcloud-python-1.26.0.ebuild
new file mode 100644
index 000000000000..498400383d05
--- /dev/null
+++ b/dev-python/hcloud-python/hcloud-python-1.26.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+MY_P=hcloud-python-${PV}
+DESCRIPTION="Official Hetzner Cloud python library"
+HOMEPAGE="
+ https://github.com/hetznercloud/hcloud-python/
+ https://pypi.org/project/hcloud/
+"
+# sdist is missing doc assets as of 1.19.0
+# https://github.com/hetznercloud/hcloud-python/pull/183
+SRC_URI="
+ https://github.com/hetznercloud/hcloud-python/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="examples"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.7.5[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.20[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx docs \
+ dev-python/myst-parser \
+ dev-python/sphinx-rtd-theme
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # Integration tests need docker:
+ # https://github.com/hetznercloud/hcloud-python/blob/master/.travis.yml#L16
+ tests/integration
+)
+
+python_install_all() {
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/identify/Manifest b/dev-python/identify/Manifest
index b8df06f3f105..56d5f0033d62 100644
--- a/dev-python/identify/Manifest
+++ b/dev-python/identify/Manifest
@@ -1,5 +1,7 @@
DIST identify-2.5.24.gh.tar.gz 101544 BLAKE2B afcfed2a48d59a263dac4df836251be00b911e78eabd8612fc06610df5efc0052bf6542c955e8a9fd7fd0513e04b1d009fe511bb591f880bff1347e02ae35c67 SHA512 40c0163aba0fa9be266a746bd58cc64b740be3ece49a22996ae1c5dd334c76a28544fd195d1da8a042f82816b2f0c440a3406160749fe192b6af00780ed5eb28
DIST identify-2.5.25.gh.tar.gz 101544 BLAKE2B 4e7403d9d4abc44945a697ca8f2362a707e47ce92c59e4302283d23486510f1b215a08752ed1b737b428d4048fd750997469dbc433a4e78b074aa723f27e7150 SHA512 4d7845d4941f67a58c3d8e49a4067d852a3a8c4f060b32c9e58c7b400cc7e595ca4dd6268392a7a17f9768f97bc1719d7611c4b029fb91eefbc2a62537df3815
+DIST identify-2.5.26.gh.tar.gz 101549 BLAKE2B 383c6467436107cf98a667f1db3ab63f42aadff8f51d2f6bedf715dd45590eeb5fe7b3d6572b7704a7ae613d079a22a2d84c86581b7a63b7578807e06034aa70 SHA512 4c17c7f40b14fd45649e0a6b6885e2d96a1ce3cf91fbc1092fdb9b92d7bf2ac35b0c04a24bb3e77f3188a3c8d00f57dbe19ca660e1e08b60cdb60385f340c4bd
EBUILD identify-2.5.24.ebuild 596 BLAKE2B 1ff0ef25ec8161f1b282f48401a18dbc6d8f219918089037de21686fb0fd509123a9d606c738680280effe304933771a345dda486331c942461866adcee6966f SHA512 9c58fc5a62222484d168a4be7c7463fa343fd487098318c53e3479d0508b0d75d460e217585a9ad2036262390037c03549267749093d24a6527216d217b198aa
EBUILD identify-2.5.25.ebuild 598 BLAKE2B 15278ce98c490e872627af90b592d7c0912e7c68454e1ef02eccfe16995ddcebeb1896cc39b32c7310917c918dc8f34eacfeb1f8e5f74a282da5e5bbbd6bd6a4 SHA512 17a7eb2058b35699616c32621ecc7bee9222b6773b6cf37faa0cab88820c3c297d806ffa8d23b63ac3335ce594b27091be61f85e1f4a8725d35057830ad5b33e
+EBUILD identify-2.5.26.ebuild 598 BLAKE2B 15278ce98c490e872627af90b592d7c0912e7c68454e1ef02eccfe16995ddcebeb1896cc39b32c7310917c918dc8f34eacfeb1f8e5f74a282da5e5bbbd6bd6a4 SHA512 17a7eb2058b35699616c32621ecc7bee9222b6773b6cf37faa0cab88820c3c297d806ffa8d23b63ac3335ce594b27091be61f85e1f4a8725d35057830ad5b33e
MISC metadata.xml 501 BLAKE2B da95534590927f7290f78f47e30484e3349c9058048c15522e7346a74d9a2c96141a18897b10b230adf966d3c237217ef1d2dcfe59814ccfffd58ab4c38c1ebf SHA512 8d78245bbd2e14016eb70f1d8f8d6129e6b265084f7da95bd915f01ce5af94f86bd69c33c1514195de70d0f834332d9ca968a18afb59a7016c8cb58681d04d24
diff --git a/dev-python/identify/identify-2.5.26.ebuild b/dev-python/identify/identify-2.5.26.ebuild
new file mode 100644
index 000000000000..906b58d7a709
--- /dev/null
+++ b/dev-python/identify/identify-2.5.26.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="File identification library for Python"
+HOMEPAGE="
+ https://github.com/pre-commit/identify/
+ https://pypi.org/project/identify/
+"
+SRC_URI="
+ https://github.com/pre-commit/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/ukkonen[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/jsonmerge/Manifest b/dev-python/jsonmerge/Manifest
index c9246a428589..994198ad11eb 100644
--- a/dev-python/jsonmerge/Manifest
+++ b/dev-python/jsonmerge/Manifest
@@ -1,3 +1,5 @@
DIST jsonmerge-1.9.0.tar.gz 32995 BLAKE2B 33615feb31114042e941bf69b9a3b2b26aaff9251b3683d77da53efd449c58fb0cf13ae4f60c441282e1e81896a8d58f1a91b51ae1ba18acb793bc99e4898c8d SHA512 c271c7bcc10d574c60bcf77f47a24c56b9df086bc87b8da4db0b2b356abba22010492664b56df7d0babd2c8a33fd0ecbc0cbaddbc5eed07c19f2a6874ed6c1e1
+DIST jsonmerge-1.9.2.tar.gz 34717 BLAKE2B 651e6c745c651882b54c4bd46bd658de20fd0cdd90b2e05af8396a55c68efffc2fe5d4758891151db8df79cdfb118b94a6af11c7d0648fbfcbde510283585556 SHA512 cba0c2b0f3d5ff70f7680768a036a10a1d7464da9a4693a5a836fbcb9f7dba080ec041c34b351f843a4c38fb2e45c4c845a3c5453df35e1b51e1a65b245071f8
EBUILD jsonmerge-1.9.0.ebuild 476 BLAKE2B 474454cc62bbb72cd4e467141814a400c43c64436aef417ab728cafec79a0a93e0c2d4087953c5f39ef5375837f57126625510312a8fa37baeafe864b0b3193c SHA512 f451466c2fd9b5507a3541277437fe211b9691001b90184f5e5002de6768533d948c886c23f74597b417a1ef16ca878bc7365ff9137c10f28cfc6c9add24427c
+EBUILD jsonmerge-1.9.2.ebuild 477 BLAKE2B f0db2da5078f26659a1d77f2038addce3ea416589cbd1ac82d936481f46f69e1884310f474967281dd00d502883ed5b1bd3482df10f129fa61f361a172c3195f SHA512 0e5968820a59eed99c4a02033a203661b6ebf5925f243a33f7f7c6c996be2d221bdd6e991d8bc8787eabaf759322c8b4628f4ded2f30c9f7303d4a59bf92cfac
MISC metadata.xml 474 BLAKE2B 327d36cf4218fec42a42872bfea7ce268423df751aef57dba5ec92eb80a5e72a66462f5161df26ca7d58193db8f0c79406b98d572968cacf15ee8052b6fbc3d4 SHA512 a1f9f14e6804a1b74f278e1e72659e1e32c8e60c31c42db186d1e51f9979c16697b1714b7ed6e6fb7a591d68e0408cf3071d4dd29b9a938071c42d7f32dfa09e
diff --git a/dev-python/jsonmerge/jsonmerge-1.9.2.ebuild b/dev-python/jsonmerge/jsonmerge-1.9.2.ebuild
new file mode 100644
index 000000000000..059f3dc68c7d
--- /dev/null
+++ b/dev-python/jsonmerge/jsonmerge-1.9.2.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Merge a series of JSON documents"
+HOMEPAGE="
+ https://github.com/avian2/jsonmerge/
+ https://pypi.org/project/jsonmerge/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/multiprocess/Manifest b/dev-python/multiprocess/Manifest
index 019ea43ed538..18f87817b8dd 100644
--- a/dev-python/multiprocess/Manifest
+++ b/dev-python/multiprocess/Manifest
@@ -1,3 +1,5 @@
DIST multiprocess-0.70.14.tar.gz 1498053 BLAKE2B 0377d293b3e160f6a6c61c148ee0d852b39f859530ef738ae143312b62833779a7e0ea745d468628fbc96a22e97326ce886b46ef9a0791fd58d3682bdc54e6af SHA512 22202b81c33601d75ca3222a6485bae596d7807d54757280ac06f2fd7247c927f978b4f5c62bd81739b95462a96dc629e5559630d9310343f86b46ee37841b6b
+DIST multiprocess-0.70.15.tar.gz 1894495 BLAKE2B 3ed3c6e530f0a9e32a04b591f874b0fd7c116704f69116d1ed3addba6010ac33a4cc3d5214e6cce18478d5a05bfffb75840ca520f2d3604a06006aa5d6725ae9 SHA512 095c15e942bebe2dffa5054ce46f30f69b3f0fcbfbd87b6742546dcacdb6a5d0d3274002f5f58f73345761adaa19866573ae20d420f8ca4cc00ca5270f8acb84
EBUILD multiprocess-0.70.14.ebuild 504 BLAKE2B 7b7e636dc24bffc553c021c23284665bb8a30c9e588b8ff751c931dea8d4033ddc8267d061ba2fb945f8ee05e3968e25ff16a871a5eb38117f5711fa25daa4b0 SHA512 b58378ce1511e33d5b3377d0af79c7bbb2aa17c059301b7b10a423dbc99246e91c2a0690183a2ce08582c4d8594849f2e26cbb10bb455d295b7209e5626f8584
+EBUILD multiprocess-0.70.15.ebuild 553 BLAKE2B 786cf033e9a3b3935acedd0c15556aad5290e104c418d8f9200212ef958cdd648a75735748882cecad8758fdf0b93ab82e3a3b216fe394eb007fb650dc010662 SHA512 a974f4d6f3252606aca27a91bc2ac3c949847307a64fe8d75c5d5edadbcbe64a8e5444378a8a40e427e4b116347b4522bd21300a5b55b5053890d3ffbb2ea1a0
MISC metadata.xml 388 BLAKE2B 90682f15ba194a74837ddf6a209ded65ab8207870d2976c3569cf4f0c4405163cbe7b25b1e0a662963f4ca890c96f7f29a65922e6b7a1cfd06422e8b7a304cd9 SHA512 4b77d39c7ec184288ef0ba90dbc889d29a4ce0bd37c9f9e66a43b8baa3f3ecd56cf122653d8931c3203226a83b8f7d495cdd63923421941eba6bd7d1ce0dc3ff
diff --git a/dev-python/multiprocess/multiprocess-0.70.15.ebuild b/dev-python/multiprocess/multiprocess-0.70.15.ebuild
new file mode 100644
index 000000000000..bd1837716936
--- /dev/null
+++ b/dev-python/multiprocess/multiprocess-0.70.15.ebuild
@@ -0,0 +1,27 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Better multiprocessing and multithreading in Python"
+HOMEPAGE="
+ https://github.com/uqfoundation/multiprocess/
+ https://pypi.org/project/multiprocess/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/dill[${PYTHON_USEDEP}]
+"
+
+python_test() {
+ "${EPYTHON}" py${EPYTHON#python}/multiprocess/tests/__main__.py -v || die
+}
diff --git a/dev-python/pip/Manifest b/dev-python/pip/Manifest
index d33cafc99a7b..7f945264f6bf 100644
--- a/dev-python/pip/Manifest
+++ b/dev-python/pip/Manifest
@@ -1,6 +1,8 @@
AUX pip-23.1-no-coverage.patch 1836 BLAKE2B f8c95ed26d5a7cba2a516b8d134ddd9901fd7d39dc8bf174397ab2afab33e93c4af342195b5b4d7b0aedc642493f1ed2ee474c74e16e285f335dcdcf531b1777 SHA512 c63929cc5324b2a741a4c1ebb4990c376eb6a4c0f39370e456b674ce3cfbdf10471ec48cf9368fccba9264fd9d4a5667988116163e73772496f28d52986ff111
DIST pip-23.1.2.gh.tar.gz 9345911 BLAKE2B 511ac1a9405e377ccb2525e89676f4a63f138aa526d40e76f4d9681139d94db1f92772beab1a647654c17abc6bee09f52cf4c4f4484716874194565fda07d056 SHA512 b33070cb59a1258904a60b48ec8abfd9e316c5f87681fea13d89ddf6d516afac10965ae1db54fea299a0a72f98602ce02e8b3be46f239e857db84866045730e1
+DIST pip-23.2.1.gh.tar.gz 9370625 BLAKE2B 9e7855aae371a773a070c24b50f985dac6ff7c2412d51e268368b911b92d0d0b52a839f9d761d5f6aaff33f1e7570d5f930e5063e8af98aa99f50d2f1c1b5ed2 SHA512 a6c629976c332cffe5dff0ec1e201d694c7a42fa8def202ebf1db251a6dbd90091eaac89c36a354a0cf0c60cdb267b4e0ec9ff6a88b0ac61cfaafdf159e34fc8
DIST pip-23.2.gh.tar.gz 9370682 BLAKE2B dbce43e29ed453e32e13a6d2f18ba2d8095021de0073d13de18cb55b5410415d0feeb2610e31ae8a0025864e6d05eb41aab3dd8adeaecf990fa31e7284e71fa5 SHA512 fe915a8f85b21d59b416a5b1fad6e6ce2874b27e055c86ad71efe31c492f117a468734da239882c3d7f4678f91389daf0e8d13abc6429ddca5bfef87cb29dae0
EBUILD pip-23.1.2.ebuild 4038 BLAKE2B c67ff2423fc237ffa94e3a5849ac187b76b01519ad6d54ee1db078520408e85ae51ecb5dcda888d5f43b89b67c91fc2449d57495e1fdece696fe87599df87272 SHA512 f6fd22c5c095e4a643648da9711ca6fbdae46e7639dc4b4eeabd37374b42d0d7256c2f431b1cb6ad9c6535aecb9d73658e6d6dfefafe08f77003e9040c9710aa
+EBUILD pip-23.2.1.ebuild 4223 BLAKE2B 04f51fa0a7c263a14453afd76fca041106b6c186d4471008604dbc196fdb2fc01fa9e832a700b2223c6e3330c39b9f621c33c348a88d10eed8ee6c84516082b5 SHA512 be7c42798d0bb8ca53f1c222c4992e0ef7b244c0a87004490296bda85a8610fb954f76eae48b9b26eeecdf9060406c9fc2f1395fc2441d3b51a88f75153abc39
EBUILD pip-23.2.ebuild 4223 BLAKE2B 04f51fa0a7c263a14453afd76fca041106b6c186d4471008604dbc196fdb2fc01fa9e832a700b2223c6e3330c39b9f621c33c348a88d10eed8ee6c84516082b5 SHA512 be7c42798d0bb8ca53f1c222c4992e0ef7b244c0a87004490296bda85a8610fb954f76eae48b9b26eeecdf9060406c9fc2f1395fc2441d3b51a88f75153abc39
MISC metadata.xml 392 BLAKE2B 94ea3de1220cb9ca64ae1186597789cc83a54adfe44695932c07dd5065df0e5f9ee5078a495e3a12563b36809d781d8ab86bb6c92c485c023199d92547b74f27 SHA512 603199f6547105f3bb64f4fcaf004e9ef62fa2e0f8ec6eab56078119684b0f5119161e0f164fe02b2cf6dd6b115588c9ef77d727eeb6d138e281f1cb0bcb5de9
diff --git a/dev-python/pip/pip-23.2.1.ebuild b/dev-python/pip/pip-23.2.1.ebuild
new file mode 100644
index 000000000000..58c5279dbfaa
--- /dev/null
+++ b/dev-python/pip/pip-23.2.1.ebuild
@@ -0,0 +1,130 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# please bump dev-python/ensurepip-pip along with this package!
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_TESTED=( python3_{10..11} )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" python3_12 pypy3 )
+PYTHON_REQ_USE="ssl(+),threads(+)"
+
+inherit bash-completion-r1 distutils-r1 multiprocessing
+
+DESCRIPTION="The PyPA recommended tool for installing Python packages"
+HOMEPAGE="
+ https://pip.pypa.io/en/stable/
+ https://pypi.org/project/pip/
+ https://github.com/pypa/pip/
+"
+SRC_URI="
+ https://github.com/pypa/pip/archive/${PV}.tar.gz -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+# bundled deps
+LICENSE+=" Apache-2.0 BSD BSD-2 ISC LGPL-2.1+ MPL-2.0 PSF-2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+SLOT="0"
+IUSE="test-rust"
+
+RDEPEND="
+ >=dev-python/setuptools-39.2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/ensurepip-setuptools
+ dev-python/ensurepip-wheel
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/scripttest[${PYTHON_USEDEP}]
+ dev-python/tomli-w[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ test-rust? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ )
+ ' "${PYTHON_TESTED[@]}")
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ local PATCHES=(
+ "${FILESDIR}/pip-23.1-no-coverage.patch"
+ )
+
+ distutils-r1_python_prepare_all
+
+ if use test; then
+ local wheels=(
+ "${BROOT}"/usr/lib/python/ensurepip/{setuptools,wheel}-*.whl
+ )
+ mkdir tests/data/common_wheels/ || die
+ cp "${wheels[@]}" tests/data/common_wheels/ || die
+ fi
+}
+
+python_compile_all() {
+ # 'pip completion' command embeds full $0 into completion script, which confuses
+ # 'complete' and causes QA warning when running as "${PYTHON} -m pip".
+ # This trick sets correct $0 while still calling just installed pip.
+ local pipcmd='import sys; sys.argv[0] = "pip"; __file__ = ""; from pip._internal.cli.main import main; sys.exit(main())'
+ "${EPYTHON}" -c "${pipcmd}" completion --bash > completion.bash || die
+ "${EPYTHON}" -c "${pipcmd}" completion --zsh > completion.zsh || die
+}
+
+python_test() {
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ einfo "Skipping tests on ${EPYTHON}"
+ return 0
+ fi
+
+ local EPYTEST_DESELECT=(
+ tests/functional/test_inspect.py::test_inspect_basic
+ tests/functional/test_install.py::test_double_install_fail
+ # Internet
+ tests/functional/test_install.py::test_install_dry_run
+ tests/functional/test_install.py::test_editable_install__local_dir_setup_requires_with_pyproject
+ tests/functional/test_install.py::test_install_8559_wheel_package_present
+ tests/functional/test_config_settings.py::test_backend_sees_config_via_sdist
+ tests/functional/test_install.py::test_link_hash_in_dep_fails_require_hashes
+ # TODO
+ tests/unit/test_network_auth.py::test_keyring_cli_get_password
+ tests/unit/test_network_auth.py::test_keyring_cli_set_password
+ # wants to install keyring from Internet, sigh
+ tests/functional/test_install_config.py::test_prompt_for_keyring_if_needed
+ # probably a too strict assert
+ # https://github.com/pypa/pip/issues/12152
+ tests/unit/test_req.py::TestRequirementSet::test_download_info_archive_cache_with_invalid_origin
+ )
+
+ if ! has_version "dev-python/cryptography[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ tests/functional/test_install.py::test_install_sends_client_cert
+ tests/functional/test_install_config.py::test_do_not_prompt_for_authentication
+ tests/functional/test_install_config.py::test_prompt_for_authentication
+ tests/functional/test_install_config.py::test_prompt_for_keyring_if_needed
+ )
+ fi
+
+ local -x SETUPTOOLS_USE_DISTUTILS=stdlib
+ local -x PIP_DISABLE_PIP_VERSION_CHECK=1
+ epytest -m "not network" -n "$(makeopts_jobs)"
+}
+
+python_install_all() {
+ local DOCS=( AUTHORS.txt docs/html/**/*.rst )
+ distutils-r1_python_install_all
+
+ newbashcomp completion.bash pip
+
+ insinto /usr/share/zsh/site-functions
+ newins completion.zsh _pip
+}
diff --git a/dev-python/pygame/Manifest b/dev-python/pygame/Manifest
index 8676b26b5b25..0f57a02147f6 100644
--- a/dev-python/pygame/Manifest
+++ b/dev-python/pygame/Manifest
@@ -10,5 +10,6 @@ EBUILD pygame-2.2.0.ebuild 1912 BLAKE2B 31fdebb9c749217a33ba81ae930e5dfd27d5d1b7
EBUILD pygame-2.3.0.ebuild 1912 BLAKE2B 31fdebb9c749217a33ba81ae930e5dfd27d5d1b7df75cb2874640ec7ce1c8610871ff72687b0f4e0fd1d5f4e494c5f7106a6307a1762329e4244030f15986390 SHA512 ddef31ada30a32e9ae3c57c0fe05ebba44b226bffe186728f5b5759fbe8340625a9494b3e3f77cdceeb60a39faffdd73041f5cadfc6a5eda0044164b93c5018f
EBUILD pygame-2.4.0.ebuild 1931 BLAKE2B d17408e670610ab2bda594be78bd74818da1ebe7a48a6b4f577ba28041b163d3068f4b69d3277bab0584466646f8e4fc63c2bf7d436e4105e7d8621531b4790f SHA512 92b68a0a45822df698fe5cfb79275ac96a42ed7e32c152604c715819129d79c021113b6476c8b36d2c3f92f6414fea668b4c8fed71edf1e2f13894b4208fb9d9
EBUILD pygame-2.5.0-r1.ebuild 1981 BLAKE2B 5b707865f3cc7689f042ee4d322721ce1dde50ef2c95d170fbcd6ee04f9637bdad631994129e68f68a900473a52e3173d47dd70bb845a5a344d4a291bd26ecc8 SHA512 3f7d4ac14d50ffde1e0c181bd5108f05d593800c1af960a48e00df7d1c90aadc35aae82b9a0db9c6a6a740b8d411a83e84e0d2357dfe5081f6f9557cb0bbfdb2
+EBUILD pygame-2.5.0-r2.ebuild 1970 BLAKE2B edda751114729f40a0444f3af7b89e208bcdb1c4b5c9813597d104d6ca9c0b886de4f66bb677e00c54532f6939a69c587cdce2d842998c1c4a45c295bcac60ad SHA512 686657d2ea2188c5aace681986b1cc546d1310a7be96c5988b974065a725c68ee8e111f7960d017c28bcbe9f127295dbe0f1747ba1d0575e056251c26cee8c32
EBUILD pygame-2.5.0.ebuild 1936 BLAKE2B 416bbfdfb8c6a09ce228b7a123928f1d70deba416d6c46f445955a439965ad951bcb83fe80d557406cde0c84de99648a65bc44f4b4d877a70a81b98b8a3e23dc SHA512 b0693da90ad40b471e7897cdb315d95005f297fef58fe900eddaca1d1c1a24202d175466b5e5416f51b081e046f391d758150d932b7da6063dbe77a9e06c5503
MISC metadata.xml 363 BLAKE2B a942b91aded22ec850a7b075703ce4037af9f0a61155717ac455f7d2b7779cb6f5f953b2ad8d61d7cc5254307951a20dd3edb9853e21d907e1999f7570a6b821 SHA512 15403754c9b13f9b2d8c5e7615ae0ca9359b5079e22eb5a7049424e414ebbdd8a06f6324c31594636324414e35ca34bec977b7dded9f9ea14027497b5097b060
diff --git a/dev-python/pygame/pygame-2.5.0-r2.ebuild b/dev-python/pygame/pygame-2.5.0-r2.ebuild
new file mode 100644
index 000000000000..e40977bd20fa
--- /dev/null
+++ b/dev-python/pygame/pygame-2.5.0-r2.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for SDL multimedia library"
+HOMEPAGE="
+ https://www.pygame.org/
+ https://github.com/pygame/pygame/
+ https://pypi.org/project/pygame/
+"
+SRC_URI="
+ https://github.com/pygame/pygame/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc64 ~riscv ~sparc ~x86"
+IUSE="examples opengl test X"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/numpy[${PYTHON_USEDEP}]
+ media-libs/freetype
+ media-libs/libjpeg-turbo:=
+ media-libs/libpng:=
+ media-libs/portmidi
+ media-libs/sdl2-image
+ media-libs/sdl2-mixer
+ media-libs/sdl2-ttf
+ X? ( media-libs/libsdl2[opengl?,threads,video,X] )
+ !X? ( media-libs/libsdl2[threads] )
+"
+DEPEND="
+ ${RDEPEND}
+ test? (
+ media-libs/sdl2-image[gif,jpeg,png,tiff,webp]
+ media-libs/sdl2-mixer[mp3,vorbis,wav]
+ )
+"
+# fontconfig used for fc-list
+RDEPEND+="
+ media-libs/fontconfig
+"
+# util-linux provides script
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ media-libs/fontconfig
+ sys-apps/util-linux
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-cython-3.patch
+)
+
+python_configure() {
+ PORTMIDI_INC_PORTTIME=1 LOCALBASE="${EPREFIX}/usr" \
+ "${EPYTHON}" "${S}"/buildconfig/config.py || die
+}
+
+python_configure_all() {
+ find src_c/cython -name '*.pyx' -exec touch {} + || die
+ "${EPYTHON}" setup.py cython_only || die
+}
+
+python_test() {
+ local -x PYTHONPATH=${BUILD_DIR}/install/lib
+ local -x SDL_VIDEODRIVER=dummy
+ local -x SDL_AUDIODRIVER=disk
+ script -eqc "${EPYTHON} -m pygame.tests -v" || die
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ # Bug #497720
+ rm -fr "${D}$(python_get_sitedir)"/pygame/{docs,examples,tests}/ || die
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ use examples && dodoc -r examples
+}
diff --git a/dev-python/python-mpv/Manifest b/dev-python/python-mpv/Manifest
index 0f540500bc24..7c5266e7f7ad 100644
--- a/dev-python/python-mpv/Manifest
+++ b/dev-python/python-mpv/Manifest
@@ -1,3 +1,5 @@
DIST python-mpv-1.0.3.gh.tar.gz 211529 BLAKE2B 0701147415c920be4ec65151ed7844bb36c275bcc64ae07d4ece9a515a96ba09097a8f2282eb7bbb74e8dc143d14f9a0aebdfadad53e0e9e4d62fcde734c7d17 SHA512 30ed5751c5732eeda9150a1e0dc425d2846c1a5dcfd53b9568bca169e570401fc8b3d224c59a1a1f54c574a056ccb0f540a0dc389e47e0811b0a9a3de4fb7092
+DIST python-mpv-1.0.4.gh.tar.gz 211628 BLAKE2B cb3b9042648ffd0472093f84116084f255893ab7068379a01011e8153da9c60c525c9b701e8f0be29ebbfaca9da9b4fd0024741e7b243b13c3b9e69f597dede8 SHA512 d8bab1373961ef52645f0886f317e8a1328a9d737c1a7de77d0f348a31822daa3120b79d9fd8e969c971b1de9c30fdd40aa120c8775ad3110f5a11ab9992ae7c
EBUILD python-mpv-1.0.3.ebuild 640 BLAKE2B 2d98c585766e0f692cbd3d8a7304a15ec4f6103637a42c1220c659e5d8040a35d8911b0f973554547acb67c2427b700e2726ddc0354ede0d6374ea27f4623287 SHA512 c354b36f402691baa3af42683dd58fea850086a789259ef6e1b71299d39881069e1863c9e8a59a7dbffffe641be408b9cf9738d9d4ba93af9af22bbff022f0c8
+EBUILD python-mpv-1.0.4.ebuild 705 BLAKE2B e47b76d9cfa05759af8c1e54dcc6900fe5b9ec5307492eace2f0723f588c8f7d0aca6da55a8601a1b320bfef336c8770003c6952af31ab41878404c7cb578284 SHA512 c8ca25ebdea98e975cdec651956ea46d4e0a7491316ad74e7e9fb72a945e010849b66c272b26d77111ae163ae9a724f1911b4a23a04003b89267591764399b9f
MISC metadata.xml 413 BLAKE2B 3e6ced6a506525bd576741fbcb1b0ce6069492dd1e90295a46b029340b833d981b351ac717e3896f4b13f3e8635065e974317298711922ab131925d98d0447a3 SHA512 9426ddc828c6b8f420c3d0241f827dd7746ca797c45182b0324b8278a24e4038a856494b420de2de572ee2643082ae271a5c21030098432736255ff2f6798db3
diff --git a/dev-python/python-mpv/python-mpv-1.0.4.ebuild b/dev-python/python-mpv/python-mpv-1.0.4.ebuild
new file mode 100644
index 000000000000..842f5d7479dd
--- /dev/null
+++ b/dev-python/python-mpv/python-mpv-1.0.4.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..11} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Python interface to the mpv media player"
+HOMEPAGE="
+ https://github.com/jaseg/python-mpv/
+ https://pypi.org/project/python-mpv/
+"
+SRC_URI="
+ https://github.com/jaseg/python-mpv/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ media-video/mpv[libmpv]
+ dev-python/pillow[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/pyvirtualdisplay[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ virtx epytest
+}